OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.WIN.PhongShading

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetWINPhongShading :: MonadIO m => m Bool
- gl_WIN_phong_shading :: Bool
- gl_PHONG_HINT_WIN :: GLenum
- gl_PHONG_WIN :: GLenum

# Extension Support

glGetWINPhongShading :: MonadIO m => m Bool

Is the WIN_phong_shading extension supported?

gl_WIN_phong_shading :: Bool

Is the WIN_phong_shading extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetWINPhongShading` in those cases instead.

# Enums

gl_PHONG_HINT_WIN :: GLenum

gl_PHONG_WIN :: GLenum